#ifndef TAFWIDGET_H__
#define TAFWIDGET_H__

#include <QWidget>
#include "ui_CUDATemporalAveragingFilterWidget.h"

class CUDATemporalAveragingFilterWidget : public QWidget, public Ui_CUDATemporalAveragingFilterWidget
{
	Q_OBJECT

public:
	/// Constructor
	CUDATemporalAveragingFilterWidget(QWidget *parent = 0);
	/// Destructor
	~CUDATemporalAveragingFilterWidget();

signals:
	/// Signal that is emitted if the number of range data frames changes
	void NumRangeDataFramesChanged(unsigned int);
	/// Signal that is emitted if the number of RGB data frames changes
	void NumRGBDataFramesChanged(unsigned int);
	/// Signal that is emitted if the check box for the RGB data changes
	void RGBDataCheckBoxChanged(bool value);
	/// Signal that is emitted if the check box for the range data changes
	void RangeDataCheckBoxChanged(bool value);

public:
	/// Update the slider position when the value was changed internally
	void ChangeRangeDataSliderValue(int Value);
	/// Update the slider position when the value was changed internally
	void ChangeRGBDataSliderValue(int Value);

protected slots:
	/// Connected to the range data num frames slider
	void RangeDataSliderValueChanged(int);
	/// Connected to the RGB data num frames slider
	void RGBDataSliderValueChanged(int);
};

#endif // TAFWIDGET_H__
